Loading...
Searching...
No Matches
CoreArchProfileMap Class Reference

Map core / arch name to profile for decoder. More...

`#include <trc_core_arch_map.h>`

## Public Member Functions

| CoreArchProfileMap ()
| ~CoreArchProfileMap ()
ocsd_arch_profile_t | getArchProfile (const std::string &coreName)

## Detailed Description

Map core / arch name to profile for decoder.

Helper class for library clients to map core or architecture version names onto a profile / arch version pair suitable for use with the decode library.

Valid core names are:-

- Cortex-Axx : where xx = 5,7,12,15,17,32,35,53,55,57,65,72,73,75,76,77;
- Cortex-Rxx : where xx = 5,7,8,52;
- Cortex-Mxx : where xx = 0,0+,3,4,23,33;

Valid architecture profile names are:-

- ARMv7-A, ARMv7-R, ARMv7-M;
- ARMv8-A, ARMv8.x-A, ARMv8-R, ARMv8-M;
- ARM-AA64, ARM-aa64

Definition at line 60 of file trc_core_arch_map.h.

## Constructor & Destructor Documentation

## CoreArchProfileMap()

CoreArchProfileMap::CoreArchProfileMap | ( |  | ) |

## ~CoreArchProfileMap()

CoreArchProfileMap::~CoreArchProfileMap | ( |  | ) |

inline

Definition at line 64 of file trc_core_arch_map.h.

## Member Function Documentation

## getArchProfile()

ocsd_arch_profile_t CoreArchProfileMap::getArchProfile | ( | const std::string & | coreName | ) |

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/common/trc_core_arch_map.h